Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Q3FileIconProvider Class Reference

The Q3FileIconProvider class provides icons for Q3FileDialog to use. More...

     #include <Q3FileIconProvider>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: QObject.

- List of all members, including inherited members

## Public Functions

| Q3FileIconProvider ( QObject * parent = 0, const char * name = 0 )
virtual const QPixmap * | pixmap ( const QFileInfo & info )

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The Q3FileIconProvider class provides icons for Q3FileDialog to use.

By default Q3FileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all Q3FileDialog objects use it by calling the static function Q3FileDialog::setIconProvider().

It is advisable to make all the icons that Q3FileIconProvider returns be the same size or at least the same width. This makes the list view look much better.

See also Q3FileDialog.

## Member Function Documentation

### Q3FileIconProvider::Q3FileIconProvider ( QObject * parent = 0, const char * name = 0 )

Constructs an empty file icon provider called name, with the parent parent.

### const QPixmap * Q3FileIconProvider::pixmap ( const QFileInfo & info )`[virtual]`

Returns a pointer to a pixmap that should be used to signify the file with the information info.

If pixmap() returns 0, Q3FileDialog draws the default pixmap.

The default implementation returns particular icons for files, directories, link-files and link-directories. It returns a blank "icon" for other types.

If you return a pixmap here, it should measure 16x16 pixels.